Package org.eclipse.net4j.util.om.log

## Interface OMLogger

- All Known Implementing Classes:
    `Logger`

      public interface OMLogger

  The `logger` of a `bundle`.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `OMLogger.Level` | Enumerates the possible severity levels of log events.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `debug​(java.lang.String msg)` |
    `void` | `debug​(java.lang.String msg, java.lang.Throwable t)` |
    `void` | `debug​(java.lang.Throwable t)` |
    `void` | `error​(java.lang.String msg)` |
    `void` | `error​(java.lang.String msg, java.lang.Throwable t)` |
    `void` | `error​(java.lang.Throwable t)` |
    `OMBundle` | `getBundle()` |
    `void` | `info​(java.lang.String msg)` |
    `void` | `info​(java.lang.String msg, java.lang.Throwable t)` |
    `void` | `info​(java.lang.Throwable t)` |
    `void` | `log​(OMLogger.Level level, java.lang.String msg)` |
    `void` | `log​(OMLogger.Level level, java.lang.String msg, java.lang.Throwable t)` |
    `void` | `log​(OMLogger.Level level, java.lang.Throwable t)` |
    `void` | `warn​(java.lang.String msg)` |
    `void` | `warn​(java.lang.String msg, java.lang.Throwable t)` |
    `void` | `warn​(java.lang.Throwable t)` |

- - ### Method Detail

    - #### getBundle

          OMBundle getBundle()

    - #### log

          void log​(OMLogger.Level level,
                   java.lang.String msg,
                   java.lang.Throwable t)

    - #### error

          void error​(java.lang.String msg,
                     java.lang.Throwable t)

    - #### warn

          void warn​(java.lang.String msg,
                    java.lang.Throwable t)

    - #### info

          void info​(java.lang.String msg,
                    java.lang.Throwable t)

    - #### debug

          void debug​(java.lang.String msg,
                     java.lang.Throwable t)

    - #### log

          void log​(OMLogger.Level level,
                   java.lang.String msg)

    - #### error

          void error​(java.lang.String msg)

    - #### warn

          void warn​(java.lang.String msg)

    - #### info

          void info​(java.lang.String msg)

    - #### debug

          void debug​(java.lang.String msg)

    - #### log

          void log​(OMLogger.Level level,
                   java.lang.Throwable t)

    - #### error

          void error​(java.lang.Throwable t)

    - #### warn

          void warn​(java.lang.Throwable t)

    - #### info

          void info​(java.lang.Throwable t)

    - #### debug

          void debug​(java.lang.Throwable t)